#include <iostream>
#include <vector>
#include <algorithm>
#include <cstdlib>
#include <random>
#include <iomanip>

using namespace std;

int random_value(int i, int j){
  mt19937_64 r;
  uniform_int_distribution<int> dist(i, j);
  return dist(r);
}

unsigned ktiElement(vector<unsigned>& a, int l, int d, int k) {

  // ako segment [l, d] jedan ili nula elementa on je vec sortiran
  while (true) {

    // za pivot uzimamo proizvoljan element segmenta
    swap(a[l], a[random_value(l,d)]);
    
    int i = l + 1, j = d;
    while (i <= j) {      //< < < < ? ? ? > > >
      if (a[i] < a[l])
	i++;
      else if (a[j] > a[l])
	j--;
      else
	swap(a[i++], a[j--]);
    }
    swap(a[l], a[j]);

    if (k == j)
      return a[k];
    else if (k < j)    
      // return ktiElement(a, l, j - 1, k);
      d = j - 1;
    else if (k > j)
      // return ktiElement(a, j + 1, d, k);
      l = j + 1;
  }
}

double medijana(vector<unsigned> &a, int n){
  if (n%2 != 0)
    return ktiElement(a, 0, n-1, n/2);
  else
    // n/2, n/2-1
    return ((double)ktiElement(a, 0, n-1, n/2) +
	    (double)ktiElement(a, 0, n-1, n/2 - 1)) / 2.0;
}

int main() {
  // ucitavanje brojeva
  int n;
  cin >> n;
  vector<unsigned> a(n);
  unsigned c0, c1;
  cin >> c0 >> c1;
  
  cin >> a[0];
  for (int i = 1; i < n; i++)
    a[i] = c0 * a[i-1] + c1;

  cout << fixed << showpoint << setprecision(2) << medijana(a, n) << endl;
  
  return 0;
}
