#include <iostream>
#include <vector>
#include <algorithm>
#include <cstdlib>

using namespace std;

// ucesljava deo niza a iz intervala pozicija [i, m] i
// deo niza b iz intervala pozicija [j, n] koji su vec sortirani
// tako da se dobije sortiran rezultat koji se
// smesta u niz c, krenuvsi od pozicije k
void merge(vector<int>& a, int i, int m,
           vector<int>& b, int j, int n,
           vector<int>& c, int k) {
  while (i <= m && j <= n)
    c[k++] = a[i] <= b[j] ? a[i++] : b[j++];
  while (i <= m)
    c[k++] = a[i++];
  while (j <= n)
    c[k++] = b[j++];
}

// sortira deo niza a iz intervala pozicija [l, d] koristeci
// niz tmp kao pomocni
void merge_sort(vector<int>& a, int l, int d, vector<int>& tmp) {

  // ako je segment [l, d] jednoclan ili prazan, niz je vec sortiran
  if (l < d) {
    // sredina segmenta [l, d]
    int s = l + (d - l) / 2;
    
    // sortiramo segment [l, s]
    merge_sort(a, l, s, tmp);

    // sortiramo segment [s+1, d]
    merge_sort(a, s+1, d, tmp);
    
    // ucesljavamo segmente [l, s] i [s+1, d] smestajuci rezultat u
    // niz tmp (pocevsi od pozicije l)
    merge(a, l, s, a, s+1, d, tmp, l);

    // vracamo rezultat iz niza tmp nazad u niz a
    for (int i = l; i <= d; i++)
      a[i] = tmp[i];
  }
}

// sortira niz a
void merge_sort(vector<int>& a) {
  // alociramo pomocni niz
  vector<int> tmp(a.size());
  // pozivamo funkciju sortiranja
  // prosledjujemo joj granice niza
  merge_sort(a, 0, a.size() - 1, tmp);
}

int main() {
  // ucitavanje brojeva
  int n;
  cin >> n;
  vector<int> a(n);
  for (int i = 0; i < n; i++)
    cin >> a[i];

  // sortiranje
  merge_sort(a);

  // ispis rezultata
  for (int i = 0; i < n; i++)
    cout << a[i] << endl;
  
  return 0;
}
