#include <iostream>
#include <vector>
#include <algorithm>
#include <cstdlib>

using namespace std;

// sortira segment pozicija [l, d] u nizu a
void quick_sort(vector<int>& a, int l, int d) {

  // ako segment [l, d] jedan ili nula elementa on je vec sortiran
  if (l < d) {

    // za pivot uzimamo proizvoljan element segmenta
    swap(a[l], a[l + rand() % (d - l + 1)]);
    
    int i = l + 1, j = d;
    while (i <= j) {
      //P < < < < ? ? ? > > >
      //< < < < P > > > > > >
      if (a[i] < a[l])
	i++;
      else if (a[j] > a[l])
	j--;
      else
	swap(a[i++], a[j--]);
    }
    swap(a[l], a[j]);

    // rekurzivno sortiramo deo niza levo i desno od pivota
    quick_sort(a, l, j - 1);
    quick_sort(a, j + 1, d);
  }
}

// sortira niz a
void quick_sort(vector<int>& a) {
  // poziv pomocne funkcije koja u nizu a sortira segment pozicija [0, n-1]
  quick_sort(a, 0, a.size() - 1);
}

int main() {
  // ucitavanje brojeva
  int n;
  cin >> n;
  vector<int> a(n);
  for (int i = 0; i < n; i++)
    cin >> a[i];

  // sortiranje
  quick_sort(a);

  // ispis rezultata
  for (int i = 0; i < n; i++)
    cout << a[i] << endl;
  
  return 0;
}
