#include <iostream>

using namespace std;

// popunjava se kvadrat dimenzije dim cije je gornje levo teme na
// poziciji (v0, k0) i kome je polje na poziciji (v, k) vec popunjeno
// broj je redni broj narednog trimina koji se moze postaviti koji
// se tokom popunjavanja uvecava
void trimini(int tabla[8][8], int dim, int v0, int k0,
             int v, int k, int& broj)
{
  // ako je dimenzija kvadrata 1x1 u kome je jedno polje popunjeno,
  // tada je ceo kvadrat vec popunjen
  if (dim > 1) {
    // kordinate 4 polja oko sredista kvadrata
    int vsred1 = v0 + dim/2 - 1;
    int vsred2 = v0 + dim/2;
    int ksred1 = k0 + dim/2 - 1;
    int ksred2 = k0 + dim/2;

    // odredjujemo kvadrant kome pripada postojeca rupa
    bool rupaGoreLevo = v <= vsred1 && k <= ksred1;
    bool rupaDoleLevo = v >= vsred2 && k <= ksred1;
    bool rupaGoreDesno = v <= vsred1 && k >= ksred2;
    bool rupaDoleDesno = v >= vsred2 && k >= ksred2;

    // postavljamo trimino u sredisna polja kvadrata
    if (!rupaGoreLevo)
      tabla[vsred1][ksred1] = broj;
    if (!rupaDoleLevo)
      tabla[vsred2][ksred1] = broj;
    if (!rupaGoreDesno)
      tabla[vsred1][ksred2] = broj;
    if (!rupaDoleDesno)
      tabla[vsred2][ksred2] = broj;
    broj++;

    // rekurzivno popunjavamo 4 manja kvadrata

    // uvek ispitujemo da li je u tom kvadrantu stara rupa ili
    // je nastala postavljanjem novog trimina

    // kvadrat gore levo - gornje levo teme mu je na (v0, k0)
    // a nova rupa mu je u njegovom donjem desnom temenu na (vsred1, ksred1)
    if (rupaGoreLevo)
      trimini(tabla, dim/2, v0, k0, v, k, broj);
    else
      trimini(tabla, dim/2, v0, k0, vsred1, ksred1, broj);

    // kvadrat dole levo - gornje levo teme mu je na (vsred2, k0)
    // a nova rupa mu je u njegovom gornjem desnom temenu na (vsred2, ksred1)
    if (rupaDoleLevo)
      trimini(tabla, dim/2, vsred2, k0, v, k, broj);
    else
      trimini(tabla, dim/2, vsred2, k0, vsred2, ksred1, broj);

    // kvadrat gore desno - gornje levo teme mu je na (v0, ksred2)
    // a nova rupa mu je u njegovom donjem levom temenu na (vsred1, ksred2)
    if (rupaGoreDesno)
      trimini(tabla, dim/2, v0, ksred2, v, k, broj);
    else
      trimini(tabla, dim/2, v0, ksred2, vsred1, ksred2, broj);

    // kvadrat dole desno - gornje levo teme mu je na (vsred2, ksred2)
    // i nova rupa mu je u tom gornjem levom temenu na (vsred2, ksred2)
    if (rupaDoleDesno)
      trimini(tabla, dim/2, vsred2, ksred2, v, k, broj);
    else
      trimini(tabla, dim/2, vsred2, ksred2, vsred2, ksred2, broj);
  }
}

// triminima popunjavamo tablu dimenzije dim kome nedostaje polje
// (v, k)
void trimini(int dim, int v, int k, int tabla[8][8])  {

  // popunjavamo pocetno polje
  int broj = 0;
  // vrednost 0 cuvamo za inicijalno polje
  tabla[v][k] = broj++;
  // rekurzivnom funkcijom popunjavamo ostatak table
  trimini(tabla, dim, 0, 0, v, k, broj);
}


int main() {
  // dimenzija table
  const int DIM = 8;
  // pozicije praznog polja
  int v, k;
  cin >> v >> k;
  // popunjavamo tablu triminima
  int tabla[DIM][DIM];
  trimini(DIM, v, k, tabla);
  // ispisujemo dobijeni rezultat
  for (int i = 0; i < DIM; i++) {
    for (int j = 0; j < DIM; j++)
      if (tabla[i][j] > 0)
        cout << (char)('a' + tabla[i][j] - 1);
      else
        cout << " ";
    cout << endl;
  }
  return 0;
}
